# Generated by Django 4.0.10 on 2023-06-28 13:38

# Django
import django.db.models.deletion
from django.db import migrations, models


class Migration(migrations.Migration):
    dependencies = [
        ("groupmanagement", "0019_adding_restricted_to_groups"),
        ("eveonline", "0017_alliance_and_corp_names_are_not_unique"),
        ("fleetfinder", "0001_initial"),
    ]

    operations = [
        migrations.AddField(
            model_name="fleet",
            name="esi_error_count",
            field=models.IntegerField(default=0, verbose_name="ESI error count"),
        ),
        migrations.AddField(
            model_name="fleet",
            name="last_esi_error",
            field=models.CharField(
                blank=True,
                choices=[
                    (
                        "NOT_IN_FLEET",
                        "FC is not in the registered fleet anymore or fleet is no longer available.",
                    ),
                    ("NO_FLEET", "Registered fleet seems to be no longer available."),
                    ("NOT_FLEETBOSS", "FC is no longer the fleet boss."),
                    ("FC_CHANGED_FLEET", "FC switched to another fleet."),
                ],
                default="",
                max_length=16,
                verbose_name="Last ESI error",
            ),
        ),
        migrations.AddField(
            model_name="fleet",
            name="last_esi_error_time",
            field=models.DateTimeField(
                blank=True, default=None, null=True, verbose_name="Last ESI error time"
            ),
        ),
        migrations.AlterField(
            model_name="fleet",
            name="created_at",
            field=models.DateTimeField(verbose_name="Creation date and time"),
        ),
        migrations.AlterField(
            model_name="fleet",
            name="fleet_commander",
            field=models.ForeignKey(
                blank=True,
                default=None,
                null=True,
                on_delete=django.db.models.deletion.SET_NULL,
                related_name="fleetfinder_fleet_commander",
                to="eveonline.evecharacter",
                verbose_name="Fleet Commander",
            ),
        ),
        migrations.AlterField(
            model_name="fleet",
            name="groups",
            field=models.ManyToManyField(
                help_text="Groups listed here will be able to join the fleet",
                related_name="fleetfinder_restricted_groups",
                to="groupmanagement.authgroup",
                verbose_name="Group restrictions",
            ),
        ),
        migrations.AlterField(
            model_name="fleet",
            name="is_free_move",
            field=models.BooleanField(verbose_name="Free move"),
        ),
        migrations.AlterField(
            model_name="fleet",
            name="motd",
            field=models.TextField(blank=True, default="", verbose_name="Fleet MOTD"),
        ),
        migrations.AlterField(
            model_name="fleet",
            name="name",
            field=models.CharField(
                default="", max_length=50, verbose_name="Fleet Name"
            ),
        ),
    ]
